#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 library for regional holiday information
Name:           kholidays
Epoch:          1
Version: 6.14.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Designer)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6LinguistTools)


%description
KDE Frameworks 6 Tier 1 library for regional holiday information.

%files
%_kf6_categoriesdir/kholidays.*categories
%_kf6_qmldir/org/kde/kholidays
%_kf6_datadir/locale/*/LC_MESSAGES/*.qm

#--------------------------------------------------------------------

%define kf6holidays_major 6
%define libkf6holidays %mklibname kf6holidays %{kf6holidays_major}

%package -n %libkf6holidays
Summary:        KDE Frameworks 6 Tier 1 library for regional holiday information
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkf6holidays
KDE Frameworks 6 Tier 1 library for regional holiday information.

%files -n %libkf6holidays
%_kf6_libdir/libKF6Holidays.so.%{kf6holidays_major}
%_kf6_libdir/libKF6Holidays.so.%{version}

#--------------------------------------------------------------------

%define kf6holidays_devel %mklibname kf6holidays -d

%package -n %kf6holidays_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6holidays = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6holidays_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6holidays_devel
%_kf6_includedir/KHolidays/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6Holidays/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install



%changelog
* Sun May 11 2025 daviddavid <daviddavid> 1:6.14.0-1.mga10
+ Revision: 2182398
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 1:6.13.0-1.mga10
+ Revision: 2175125
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 1:6.12.0-1.mga10
+ Revision: 2164131
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 1:6.10.0-1.mga10
+ Revision: 2136398
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 1:6.9.0-1.mga10
+ Revision: 2126583
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 1:6.8.0-1.mga10
+ Revision: 2113081
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 1:6.7.0-1.mga10
+ Revision: 2104762
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 1:6.6.0-1.mga10
+ Revision: 2095925
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 1:6.5.0-1.mga10
+ Revision: 2084372
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 1:6.3.0-1.mga10
+ Revision: 2070539
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2063395
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 1:6.1.0-1.mga10
+ Revision: 2056829
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044927
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 1:5.249.0-1.mga10
+ Revision: 2037487
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.248.0-1.mga10
+ Revision: 2029580
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.247.0-1.mga10
+ Revision: 2025614
- New version 5.247.0
- New version 5.246.0
+ daviddavid <daviddavid>
- update summaries and descriptions

* Sat Nov 11 2023 neoclust <neoclust> 1:5.245.0-1.mga10
+ Revision: 2006046
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1998966
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987357
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952044
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947850
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941356
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1935006
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922254
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911621
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900225
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887660
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880607
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871707
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 1:5.93.0-1.mga9
+ Revision: 1853227
- New version 5.93.0

* Thu Apr 07 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1847042
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754835
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 1:5.87.0-1.mga9
+ Revision: 1749086
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 1:5.86.0-1.mga9
+ Revision: 1747046
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 1:5.84.0-1.mga9
+ Revision: 1735268
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723459
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714855
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702033
- New version 5.80.0

* Fri Mar 05 2021 daviddavid <daviddavid> 1:5.79.0-2.mga9
+ Revision: 1699497
- update BRs, remove no more needed kdelibs4support

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691125
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653339
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633192
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625613
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612985
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603096
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592790
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1582016
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566507
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556683
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546950
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1486821
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466231
- New version 5.65.0

* Thu Nov 14 2019 daviddavid <daviddavid> 1:5.64.0-2.mga8
+ Revision: 1460009
- rebuild for arm

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457616
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1450998
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444810
- New version 5.62.0

* Wed Aug 21 2019 daviddavid <daviddavid> 1:5.60.0-2.mga8
+ Revision: 1430801
- rebuild for fixed .pri file path

* Thu Jul 11 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420074
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386938
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 1:5.56.0-2.mga7
+ Revision: 1382421
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374566
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364540
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356663
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 1:5.53.0-1.mga7
+ Revision: 1339219
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 1:5.51.0-1.mga7
+ Revision: 1318966
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 1:5.49.0-2.mga7
+ Revision: 1298537
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 1:5.49.0-1.mga7
+ Revision: 1247316
- New version 5.49.0

* Sat Jun 30 2018 neoclust <neoclust> 1:5.46.0-1.mga7
+ Revision: 1240849
- New version 5.46.0

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201888
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194910
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186448
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143038
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136772
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130990
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090068
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076804
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072012
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067332
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061390
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050657
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047297
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040058
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012544
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004334
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996514
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991181
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987450
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922619
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911936
- New version 15.12.0

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906172
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901130
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890610
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880423
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865941
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863693
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861754
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858733
- Split files out of the library

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858601
- imported package kholidays

